﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;  // ADD ME
using System.Windows.Forms;

namespace MultiFormDemo
{   // form that receives and displays button clicks
    public partial class ClickForm : Form
    {   private CloseMethod closeOp;  // call-back method used to call owner when done

        public ClickForm(CloseMethod op) {   
            closeOp = op;
            InitializeComponent();
            this.label1.Text = "";
        }

        // handles press of ClickMe button
        private void button1_Click(object sender, EventArgs e) {
            this.label1.Text = this.label1.Text + "\nClick"; }

        // handles press of Close button
        private void button2_Click(object sender, EventArgs e) { 
            closeOp(this);  // tell main controller that this form is done
            bye(); 
        }

        // terminate this form:
        public void bye() { 
             this.label1.Text = this.label1.Text + "\nBYE"; 
             this.Refresh();
             Thread.Sleep(1000);
             this.Close();
        }
    }
}
